Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Class ExcludeList.Entry

    java.lang.Object
      com.sun.javatest.ExcludeList.Entry

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  ExcludeList

    public static final class ExcludeList.Entry

extends java.lang.Object
implements java.lang.Comparable

An entry in the exclude list.

Constructor Summary
`ExcludeList.Entry(java.lang.String u, java.lang.String tc, int[] b, java.lang.String[] p, java.lang.String s)` Create an ExcludeList entry.
`ExcludeList.Entry(java.lang.String u, java.lang.String tc, java.lang.String[] b, java.lang.String[] p, java.lang.String s)` Create an ExcludeList entry.

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)` Compare this entry against another.
`int[]` | `getBugIds()` Get the set of bug IDs referenced by this entry.
`java.lang.String[]` | `getBugIdStrings()` Get the set of bug IDs referenced by this entry.
`java.lang.String[]` | `getPlatforms()` Get the set of platforms or keywords associated with this entry.
`java.lang.String` | `getRelativeURL()` Get the relative URL identifying the test referenced by this entry.
`java.lang.String` | `getSynopsis()` Get a short description associated with this entry.
`java.lang.String[]` | `getTestCaseList()` Get the same data as getTestCases(), but split into many Strings This method is costly, so use with care.
`java.lang.String` | `getTestCases()` Get the (possibly empty) list of test cases for this entry.
`int` | `hashCode()`
`static ExcludeList.Entry` | `read(java.lang.String text)` Create an entry from a string.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExcludeList.Entry

    public ExcludeList.Entry(java.lang.String u,
                             java.lang.String tc,
                             java.lang.String[] b,
                             java.lang.String[] p,
                             java.lang.String s)

  Create an ExcludeList entry.

  Parameters:
    `u` - The URL for the test, specified relative to the test suite root.
    `tc` - One or more test cases within the test to be excluded.
    `b` - An array of bug identifiers, justifying why the test is excluded.
    `p` - An array of platform identifiers, on which the faults are known to occur
    `s` - A short synopsis of the reasons why the test is excluded.

### ExcludeList.Entry

    public ExcludeList.Entry(java.lang.String u,
                             java.lang.String tc,
                             int[] b,
                             java.lang.String[] p,
                             java.lang.String s)

  Create an ExcludeList entry.

  Parameters:
    `u` - The URL for the test, specified relative to the test suite root.
    `tc` - One or more test cases within the test to be excluded.
    `b` - An array of bug numbers, justifying why the test is excluded.
    `p` - An array of platform identifiers, on which the faults are known to occur
    `s` - A short synopsis of the reasons why the test is excluded.

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getRelativeURL

    public java.lang.String getRelativeURL()

  Get the relative URL identifying the test referenced by this entry.

  Returns:
    the relative URL identifying the test referenced by this entry

### getTestCases

    public java.lang.String getTestCases()

  Get the (possibly empty) list of test cases for this entry. An entry can have zero, one, or a comma separated list of TCs.

  Returns:
    List, or null if there are no test cases.

### getTestCaseList

    public java.lang.String[] getTestCaseList()

  Get the same data as getTestCases(), but split into many Strings This method is costly, so use with care.

  Returns:
    The parsed comma list, or null if there are no test cases.

### getBugIds

    public int[] getBugIds()

  Get the set of bug IDs referenced by this entry.

  Returns:
    the bugs referenced by the entry

### getBugIdStrings

    public java.lang.String[] getBugIdStrings()

  Get the set of bug IDs referenced by this entry.

  Returns:
    the bugs referenced by the entry

### getPlatforms

    public java.lang.String[] getPlatforms()

  Get the set of platforms or keywords associated with this entry. These should normally give details about why the test has been excluded.

  Returns:
    the set of platforms or keywords associated with this entry

### getSynopsis

    public java.lang.String getSynopsis()

  Get a short description associated with this entry. This should normally give details about why the test has been excluded.

  Returns:
    a short description associated with this entry

### read

    public static ExcludeList.Entry read(java.lang.String text)
                                  throws ExcludeList.Fault

  Create an entry from a string. The string should be formatted as though it were a line of text in an exclude file.

  Parameters:
    `text` - The text to be read
  Returns:
    the first entry read from the supplied text
  Throws:
    `ExcludeList.Fault` - if there is a problem reading the entry.

### equals

    public boolean equals(java.lang.Object o)

  Compare this entry against another.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to compare against
  Returns:
    true is the objects are bothe ExcludeList.Entries containing the same details

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.